<?php

namespace Drupal\Tests\cache_flush_time\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Test module's base functionality.
 *
 * @group cache_flush_time
 */
class CacheFlushTimeTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['cache_flush_time'];

  /**
   * Tests if the time is printed when flushing the cache.
   */
  public function testPrintsTimeOnCacheClear(): void {
    $this->drupalLogin($this->drupalCreateUser(['administer site configuration']));
    $this->drupalGet('/admin/config/development/performance');
    $this->submitForm([], 'Clear all caches');

    $this->assertSession()->statusMessageContains('Cache flushed at');
  }

}
